<?php

class TestController extends AdminController {

	
	public function testAction(){
		$s = new Servicio('0000009197');
		$parametros = array('contrato'=> '0000009197','ida'=>0);
		$lista_viajes = ServicioViaje::lstPasajeros($parametros);	
		print_r($lista_viajes);
		die();
	}
	
	public function presupuestoproveedorAction(){
		/*
		$numeroPresupuesto = '0000000365';
		$numeroProveedor = '0000303';
		$np = new PresupuestoProveedor($numeroPresupuesto, $numeroProveedor);
		$np->setCoste(500);
		$np->save();
		print_r($np);
		*/
		/*$rs = PresupuestoProveedor::lstPorPrespuesto($params);
		print_r($rs);*/
		
		$numeroServicio = 'PR00006319';
		$servicio = new Servicio($numeroServicio);
		$res = $servicio->numeroPlazasOcupadas(0);
		print_r($res);
		die();
	}
	
	public function probarmodeloAction(){

/*		$dateTime = '2014-06-11 11:30:45';
		print_r($this->descomponerFecha($dateTime));
		$dateTime = '2014-06-14 05:30:52.000';
		print_r($this->descomponerFecha($dateTime));
		$dateTime = '2014-06-14 05:30';
		print_r($this->descomponerFecha($dateTime));
		$dateTime = '2014-06-14';
		print_r($this->descomponerFecha($dateTime));
		$dateTime = '05:30:52.000';
		print_r($this->descomponerFecha($dateTime));
		$dateTime = '05:30';
		print_r($this->descomponerFecha($dateTime));
		
		$dateTime = '11/06/2014 11:30:45';
		print_r($this->descomponerFecha($dateTime));
		$dateTime = '11/06/2014 05:30:52.000';
		print_r($this->descomponerFecha($dateTime));
		$dateTime = '11/06/2014 05:30';
		print_r($this->descomponerFecha($dateTime));*/
		//$dateTime = 'dsfasdfasd';
		//print_r(AppObjeto::descomponerFecha($dateTime));
		
		// usuario
		//$acceso = new Acceso();
		//$acceso->id_usuario = '0001136';
		
		//$acceso->save();
		//print_r($acceso);
		//$params = Servicio::testGetParams();
		//$res = Servicio::lst_mitrabajo($params);
		//$res = new Servicio('0000006003');
		/*
		$params = ServicioViaje::testGetParams();
	$params['ida']=0;
	$params['contrato']='0000006305';
		$res = ServicioViaje::lstTodos($params);
	*/
		$codigo = '0000006310';
		//echo ServicioViaje::getTareasViajeros($codigo);
		$res = Cobro::loadPorContrato($codigo);
		
		print_r($res);
		//$res->setOrigenCalle('pedroalcantara');
		//$res->setKilometrosVehiculoSalida(1100);
		//$res->setFechaServicioFin(null);
		//$res->save();
		//print_r($res);
		die();
		
	}
	
	public function visorAction(){
		$barra = AppHerramienta::getBarraDirectorio();
		$fichero = $barra.'ficheros'.$barra.'de100.tif';
		$visor = new vstVisorTiff($fichero, 800);
		$layout = $this->getLayout();
		
		
		$layout->reg_contenido->addElement($visor);
	
	//	AppHerramientasImagen::tiffToPng($fichero, $numeroPagina);
	
	}
	
	

	
	public function editarAction(){
	
		$idEvento = $this->getParametro('id');
		$evento = new Evento($idEvento);

		$form = new FRMTest($evento);
		
		$layout =  $this->getLayout();
		
		$layout->reg_contenido->addElement($form);
	
	}
	
	
	public function indexAction() {
		$lista = new LSTTest();
		$lista->setClase('Evento');
		$lista->setMetodo('getTodos');

		$botonera = new VstCaja('botonera');
		$boton = new VstBoton('/test/editarcrud');
		$boton->setTexto('Nuevo');
		$boton->setClase('btn-primary btn');
		$boton->setModal(true);
		$boton->setDestino('#formulario_edicion');
		
		$boton2 = new VstBoton('/test/editar');
		$boton2->setTexto('Nuevo en otra pagina');
		$boton2->setClase('btn-primary btn');
		
		$botonera->addElement($boton);
		$botonera->addElement($boton2);
		$cajavacia = new VstCaja('formulario_edicion');
		$evento = new EVCargaDinamica('#formulario_edicion', '/test/editarcrud');
		
		$layout = $this->getLayout();
		$layout->reg_contenido->addElement($botonera);
		$layout->reg_contenido->addElement($lista);
		$layout->reg_contenido->addElement($cajavacia);
		//$layout->reg_contenido->addElement($lista);
	
		$barra = AppHerramienta::getBarraDirectorio();
		$fichero = $barra.'ficheros'.$barra.'de100.tif';
		$visor = new vstVisorTiff($fichero, 800);
		
		$fila = new VstFila();
		$fila->addElemento($visor,6);
		
		
		$cajavisor = new VstCaja('caja_visor');
		$evento = new EVCargaDinamica('#caja_visor', '/test/visor');
		$fila->addElemento($cajavisor,6);
		
		
		$layout->reg_contenido->addElement($fila);
		
		$cajavacia = new VstCaja('formulario_edicion');
		
	
	
	
	}
	
	public function editarcrudAction(){
	
		$idEvento = $this->getParametro('id');
		$evento = new Evento($idEvento);
	
		$form = new FRMTestCrud($evento);
		

		$layout =  $this->getLayout();
		$layout->reg_contenido->addElement($form);
	
	}
	public function eliminarAction(){
		$id = (int) $this->_request->getParam('id', -1);
		
		$elemento = new Evento($id);
		try {
			$elemento->remove();
			AppAjax::setAccion('refrescar');
		} catch (Exception $e) {
			AppAjax::setMensajeError('grid', (string)$e);
		}
		
	}
	
}